Advanced search (alias)
Connection and CORS help
Use HTTPS for remote clusters or HTTP on loopback. Requests go directly from your browser to the endpoint. Run List collections to populate the collection selector. When copying an authenticated cURL command, set MILVUS_TOKEN in your shell.
For cross-origin requests, configure the endpoint to answer OPTIONS and allow the docs origin, POST, Content-Type, and Authorization if you use a token. Try the copied cURL command to troubleshoot outside the browser.
POST/v2/vectordb/entities/advanced_search
{
"dbName": "default",
"collectionName": "books",
"search": [
{
"annsField": "vector",
"data": [
[
0.1,
0.2,
0.3,
0.4
]
],
"limit": 5
},
{
"annsField": "vector",
"data": [
[
1,
0,
0,
0
]
],
"limit": 5
}
],
"rerank": {
"strategy": "rrf",
"params": {
"k": 60
}
},
"limit": 3,
"outputFields": [
"title"
]
}Example response
{
"code": 0,
"data": [
{
"id": 101,
"title": "Invisible Cities",
"distance": 0.033
}
],
"cost": 0,
"topks": [
1
]
}cURL command
curl --request POST --url 'https://your-cluster.example.com/v2/vectordb/entities/advanced_search' \
--header 'Content-Type: application/json' \
--header "Authorization: Bearer ${MILVUS_TOKEN}" \
--data-raw '{
"dbName": "default",
"collectionName": "books",
"search": [
{
"annsField": "vector",
"data": [
[
0.1,
0.2,
0.3,
0.4
]
],
"limit": 5
},
{
"annsField": "vector",
"data": [
[
1,
0,
0,
0
]
],
"limit": 5
}
],
"rerank": {
"strategy": "rrf",
"params": {
"k": 60
}
},
"limit": 3,
"outputFields": [
"title"
]
}'Compatibility alias for hybrid search. New integrations can use the hybrid_search route.
Request fields
dbNamestring- Database name. Operations on collections use default when omitted.
collectionNamestring (required)- Name of the collection.
partitionNamesarray of string- Names of the partitions to target.
searcharray of object- Sub-searches with query data, vector field and limit.
rerankobject- Reranking strategy and parameters, such as reciprocal rank fusion (rrf).
limitinteger- Maximum number of rows or hits per query input.
offsetinteger- Number of matching results to skip.
groupingFieldstring- Scalar field used to group search hits.
groupSizeinteger- Number of hits requested per group.
strictGroupSizeboolean- Require the specified number of hits in each result group.
outputFieldsarray of string- Field names to include in the returned entities.
consistencyLevelstring- Read consistency level, such as Strong, Session, or Bounded.
functionScoreobject- Scoring functions and parameters to apply to candidates.
functionChainsarray of object- Ordered function chains to apply during search.
See HttpClient.hybridSearch for the Node.js SDK method.